function MISSILES(xworld, xobjpath, xobjname, xBIT, xCOLBIT)
	-- the obj file
	local xobj = loadObj(xobjpath, xobjname)
	local minx, miny, minz = xobj.min[1], xobj.min[2], xobj.min[3] -- can be negative numbers
	local maxx, maxy, maxz = xobj.max[1], xobj.max[2], xobj.max[3]
	local width, height, length = maxx - minx, maxy - miny, maxz - minz
	print("xobj", width, height, length)
	xobj.shape1 = r3d.SphereShape.new(height / 2) -- front
	xobj.mass = 64
	xobj.view = Viewport.new()
	xobj.view:setContent(xobj)
	xobj.view:setPosition(0, 0, 0) -- ship start position
	-- body
	xobj.body = xworld:createBody(xobj.view:getMatrix())
	--xobj.body:setType(r3d.Body.DYNAMIC_BODY)
--	xobj.body:setLinearDamping(0.5)
--	xobj.body:setAngularDamping(0.5)
	--xobj.body:enableGravity(false)
	-- fixtures
	local m1 = Matrix.new()
	m1:setPosition(0, 0, -length / 2) -- front
	local fixture1 = xobj.body:createFixture(xobj.shape1, m1, xobj.mass) -- shape, transform, mass
	fixture1:setCollisionCategoryBits(xBIT)
	fixture1:setCollideWithMaskBits(xCOLBIT)
	-- material
	local mat = xobj.body:getMaterial() -- default: bounciness = 0.5, frictionCoefficient = 0.3, rollingResistance = 0
	mat.bounciness = 0.1
	mat.frictionCoefficient = 0.8
	mat.rollingResistance = 0.8 -- 0 = no resistance, 1 = max resistance
	xobj.body:setMaterial(mat)
	
	return xobj, xobj.body
end
