PLAYER1 = Core.class()

function PLAYER1:init(xworld, xobjpath, xobjname, xBIT, xCOLBIT)
	-- the obj file
	self.xobj = loadObj(xobjpath, xobjname)
	local minx, miny, minz = self.xobj.min[1], self.xobj.min[2], self.xobj.min[3] -- can be negative numbers
	local maxx, maxy, maxz = self.xobj.max[1], self.xobj.max[2], self.xobj.max[3]
	local width, height, length = maxx - minx, maxy - miny, maxz - minz
	print("self.xobj", width, height, length)
	self.xobj.shape1 = r3d.SphereShape.new(height / 2) -- front
	self.xobj.shape2 = r3d.SphereShape.new(height / 2) -- back
	self.xobj.shape3 = r3d.SphereShape.new(height / 2) -- right
	self.xobj.shape4 = r3d.SphereShape.new(height / 2) -- left
	self.xobj.frontmass = 64
	self.xobj.rearmass = 64
	self.xobj.view = Viewport.new()
	self.xobj.view:setContent(self.xobj)
	self.xobj.view:setPosition(0, 0, 0) -- ship start position
	-- body
	self.xobj.body = xworld:createBody(self.xobj.view:getMatrix())
	--self.xobj.body:setType(r3d.Body.DYNAMIC_BODY)
	self.xobj.body:setLinearDamping(0.5)
	self.xobj.body:setAngularDamping(0.5)
	--self.xobj.body:enableGravity(false)
	-- fixtures
	local m1, m2, m3, m4 = Matrix.new(), Matrix.new(), Matrix.new(), Matrix.new()
	m1:setPosition(0, 0, -length / 2) -- front
	m2:setPosition(0, 0, length / 2) -- back
	m3:setPosition(-width / 2, 0, 0) -- right
	m4:setPosition(width / 2, 0, 0) -- left
	local fixture1 = self.xobj.body:createFixture(self.xobj.shape1, m1, self.xobj.frontmass) -- shape, transform, mass
	local fixture2 = self.xobj.body:createFixture(self.xobj.shape2, m2, self.xobj.rearmass) -- shape, transform, mass
	local fixture3 = self.xobj.body:createFixture(self.xobj.shape3, m3, self.xobj.frontmass) -- shape, transform, mass
	local fixture4 = self.xobj.body:createFixture(self.xobj.shape4, m4, self.xobj.frontmass) -- shape, transform, mass
	fixture1:setCollisionCategoryBits(xBIT)
	fixture2:setCollisionCategoryBits(xBIT)
	fixture3:setCollisionCategoryBits(xBIT)
	fixture4:setCollisionCategoryBits(xBIT)
	fixture1:setCollideWithMaskBits(xCOLBIT)
	fixture2:setCollideWithMaskBits(xCOLBIT)
	fixture3:setCollideWithMaskBits(xCOLBIT)
	fixture4:setCollideWithMaskBits(xCOLBIT)
	-- material
	local mat = self.xobj.body:getMaterial() -- default: bounciness = 0.5, frictionCoefficient = 0.3, rollingResistance = 0
	mat.bounciness = 0.1
	mat.frictionCoefficient = 0.8
	mat.rollingResistance = 0.8 -- 0 = no resistance, 1 = max resistance
	self.xobj.body:setMaterial(mat)
end

function PLAYER1:getObj()
	return self.xobj
end

function PLAYER1:getObjBody()
	return self.xobj.body
end
